Results 1 to 4 of 4

Thread: Lubuntu 18.10 cannot talk to Nvidia GeForce 940MX

  1. #1
    Join Date
    Nov 2019
    Beans
    2

    Question Lubuntu 18.10 cannot talk to Nvidia GeForce 940MX

    This experience has been so frustrating, I created an account just to ask for help.

    My Lubuntu version is 18.10.
    My GPU is apparently a "GM108M [GeForce 940MX]" (from Nvidia)
    I have tried everything from "get an installer from the Nvidia website" to "find an open-source alternative". Nothing is working.

    The following is the shell output from when I type "sudo ubuntu-drivers autoinstall", the most intuitive solution.

    Code:
    sudo ubuntu-drivers autoinstallReading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following additional packages will be installed:
      libnvidia-cfg1-390 libnvidia-common-390 libnvidia-compute-390
      libnvidia-decode-390 libnvidia-encode-390 libnvidia-fbc1-390
      libnvidia-gl-390 libnvidia-gl-390:i386 libnvidia-ifr1-390
      libnvidia-ifr1-390:i386 nvidia-compute-utils-390 nvidia-dkms-390
      nvidia-kernel-common-390 nvidia-prime nvidia-settings nvidia-utils-390
      xserver-xorg-video-nvidia-390
    The following NEW packages will be installed:
      libnvidia-cfg1-390 libnvidia-common-390 libnvidia-compute-390
      libnvidia-decode-390 libnvidia-encode-390 libnvidia-fbc1-390
      libnvidia-gl-390 libnvidia-gl-390:i386 libnvidia-ifr1-390
      libnvidia-ifr1-390:i386 nvidia-compute-utils-390 nvidia-dkms-390
      nvidia-driver-390 nvidia-kernel-common-390 nvidia-prime nvidia-settings
      nvidia-utils-390 xserver-xorg-video-nvidia-390
    0 upgraded, 18 newly installed, 0 to remove and 0 not upgraded.
    Need to get 0 B/54.6 MB of archives.
    After this operation, 251 MB of additional disk space will be used.
    Selecting previously unselected package libnvidia-cfg1-390:amd64.
    (Reading database ... 350629 files and directories currently installed.)
    Preparing to unpack .../00-libnvidia-cfg1-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking libnvidia-cfg1-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package libnvidia-common-390.
    Preparing to unpack .../01-libnvidia-common-390_390.116-0ubuntu0.18.10.1_all.deb ...
    Unpacking libnvidia-common-390 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package libnvidia-compute-390:amd64.
    Preparing to unpack .../02-libnvidia-compute-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking libnvidia-compute-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package libnvidia-decode-390:amd64.
    Preparing to unpack .../03-libnvidia-decode-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking libnvidia-decode-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package libnvidia-encode-390:amd64.
    Preparing to unpack .../04-libnvidia-encode-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking libnvidia-encode-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package libnvidia-fbc1-390:amd64.
    Preparing to unpack .../05-libnvidia-fbc1-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking libnvidia-fbc1-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package libnvidia-gl-390:amd64.
    Preparing to unpack .../06-libnvidia-gl-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking libnvidia-gl-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package libnvidia-gl-390:i386.
    Preparing to unpack .../07-libnvidia-gl-390_390.116-0ubuntu0.18.10.1_i386.deb ...
    Unpacking libnvidia-gl-390:i386 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package libnvidia-ifr1-390:i386.
    Preparing to unpack .../08-libnvidia-ifr1-390_390.116-0ubuntu0.18.10.1_i386.deb ...
    Unpacking libnvidia-ifr1-390:i386 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package libnvidia-ifr1-390:amd64.
    Preparing to unpack .../09-libnvidia-ifr1-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking libnvidia-ifr1-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package nvidia-compute-utils-390.
    Preparing to unpack .../10-nvidia-compute-utils-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking nvidia-compute-utils-390 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package nvidia-kernel-common-390.
    Preparing to unpack .../11-nvidia-kernel-common-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking nvidia-kernel-common-390 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package nvidia-dkms-390.
    Preparing to unpack .../12-nvidia-dkms-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking nvidia-dkms-390 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package nvidia-utils-390.
    Preparing to unpack .../13-nvidia-utils-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking nvidia-utils-390 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package xserver-xorg-video-nvidia-390.
    Preparing to unpack .../14-xserver-xorg-video-nvidia-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking xserver-xorg-video-nvidia-390 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package nvidia-driver-390.
    Preparing to unpack .../15-nvidia-driver-390_390.116-0ubuntu0.18.10.1_amd64.deb ...
    Unpacking nvidia-driver-390 (390.116-0ubuntu0.18.10.1) ...
    Selecting previously unselected package nvidia-prime.
    Preparing to unpack .../16-nvidia-prime_0.8.10_all.deb ...
    Unpacking nvidia-prime (0.8.10) ...
    Selecting previously unselected package nvidia-settings.
    Preparing to unpack .../17-nvidia-settings_390.77-0ubuntu1_amd64.deb ...
    Unpacking nvidia-settings (390.77-0ubuntu1) ...
    Setting up nvidia-prime (0.8.10) ...
    Processing triggers for mime-support (3.60ubuntu1) ...
    Setting up libnvidia-fbc1-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Processing triggers for desktop-file-utils (0.23-3ubuntu3) ...
    Setting up nvidia-settings (390.77-0ubuntu1) ...
    Setting up libnvidia-compute-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Setting up nvidia-kernel-common-390 (390.116-0ubuntu0.18.10.1) ...
    update-initramfs: deferring update (trigger activated)
    Setting up libnvidia-cfg1-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Setting up xserver-xorg-video-nvidia-390 (390.116-0ubuntu0.18.10.1) ...
    Processing triggers for libc-bin (2.28-0ubuntu1) ...
    Processing triggers for man-db (2.8.4-2) ...
    Setting up libnvidia-decode-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Setting up nvidia-compute-utils-390 (390.116-0ubuntu0.18.10.1) ...
    Warning: The home dir /nonexistent you specified can't be accessed: No such file or directory
    Adding system user `nvidia-persistenced' (UID 126) ...
    Adding new group `nvidia-persistenced' (GID 132) ...
    Adding new user `nvidia-persistenced' (UID 126) with group `nvidia-persistenced' ...
    Not creating home directory `/nonexistent'.
    Setting up libnvidia-common-390 (390.116-0ubuntu0.18.10.1) ...
    Setting up libnvidia-encode-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Setting up nvidia-utils-390 (390.116-0ubuntu0.18.10.1) ...
    Setting up nvidia-dkms-390 (390.116-0ubuntu0.18.10.1) ...
    update-initramfs: deferring update (trigger activated)
    INFO:Enable nvidia
    DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
    DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
    DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
    Loading new nvidia-390.116 DKMS files...
    Building for 4.18.0-25-generic
    Building for architecture x86_64
    Building initial module for 4.18.0-25-generic
    ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/nvidia-kernel-source-390.0.crash'
    Error! Bad return status for module build on kernel: 4.18.0-25-generic (x86_64)
    Consult /var/lib/dkms/nvidia/390.116/build/make.log for more information.
    Setting up libnvidia-gl-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Setting up libnvidia-gl-390:i386 (390.116-0ubuntu0.18.10.1) ...
    Setting up libnvidia-ifr1-390:i386 (390.116-0ubuntu0.18.10.1) ...
    Setting up libnvidia-ifr1-390:amd64 (390.116-0ubuntu0.18.10.1) ...
    Setting up nvidia-driver-390 (390.116-0ubuntu0.18.10.1) ...
    Processing triggers for initramfs-tools (0.131ubuntu15.2) ...
    update-initramfs: Generating /boot/initrd.img-4.18.0-25-generic
    Processing triggers for libc-bin (2.28-0ubuntu1) ...
    Other things that are probably important for finding a solution (as far as I know):
    • Secure boot is turned off
    • I have another GPU, and it's some Intel thing.
    • My laptop is a Lenovo Flex (called a Yoga in Europe), but you probably figured part of that out from the dump above.


    Please respond (with either questions or suggestions; anything to move this forward), and thank you.
    Last edited by semper-solus; 4 Weeks Ago at 08:51 AM.

  2. #2
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,425
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: Lubuntu 18.10 cannot talk to Nvidia GeForce 940MX

    semper-solus; Hello - Welcome to the forum.

    And - I be the harbinger of ill news - perhaps.

    Release 18.10 has reached End_Of_Life and no longer has support. The software repository, as you formerly knew, no longer exists.

    You are strongly encouraged to upgrade to a current release ( 18.04 is the Long_Term_Support release). Either on-line upgrade (19.04) or a fresh clean install ( 19.10 is the present interim release). In order to have 18.04 LTS ( 5 year support) you will have to do that fresh install.

    If you require additional assistance to make a determination , please ask.

    help is what we do
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  3. #3
    Join Date
    Nov 2019
    Beans
    2

    Question Re: Lubuntu 18.10 cannot talk to Nvidia GeForce 940MX

    Suggestion gratefully accepted and implemented. I am now running Lubuntu 19.04.
    However, even though auto-install auto-installs a different driver version now, my problem doesn't seem to have been fixed.

    Here is the new shell dump:

    Code:
    sudo ubuntu-drivers autoinstallReading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following additional packages will be installed:
      libnvidia-cfg1-418 libnvidia-common-418 libnvidia-compute-418
      libnvidia-decode-418 libnvidia-encode-418 libnvidia-fbc1-418
      libnvidia-gl-418 libnvidia-gl-418:i386 libnvidia-ifr1-418
      libnvidia-ifr1-418:i386 nvidia-compute-utils-418 nvidia-dkms-418
      nvidia-kernel-common-418 nvidia-kernel-source-418 nvidia-prime
      nvidia-settings nvidia-utils-418 xserver-xorg-video-nvidia-418
    The following NEW packages will be installed:
      libnvidia-cfg1-418 libnvidia-common-418 libnvidia-compute-418
      libnvidia-decode-418 libnvidia-encode-418 libnvidia-fbc1-418
      libnvidia-gl-418 libnvidia-gl-418:i386 libnvidia-ifr1-418
      libnvidia-ifr1-418:i386 nvidia-compute-utils-418 nvidia-dkms-418
      nvidia-driver-418 nvidia-kernel-common-418 nvidia-kernel-source-418
      nvidia-prime nvidia-settings nvidia-utils-418
      xserver-xorg-video-nvidia-418
    0 upgraded, 19 newly installed, 0 to remove and 0 not upgraded.
    Need to get 84.5 MB of archives.
    After this operation, 388 MB of additional disk space will be used.
    Get:1 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 libnvidia-cfg1-418 amd64 418.56-0ubuntu1 [69.8 kB]
    Get:2 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 libnvidia-common-418 all 418.56-0ubuntu1 [8,924 B]
    Get:3 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 libnvidia-compute-418 amd64 418.56-0ubuntu1 [19.6 MB]
    Get:4 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 libnvidia-decode-418 amd64 418.56-0ubuntu1 [1,243 kB]
    Get:5 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 libnvidia-encode-418 amd64 418.56-0ubuntu1 [47.6 kB]
    Get:6 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 libnvidia-fbc1-418 amd64 418.56-0ubuntu1 [43.2 kB]
    Get:7 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 libnvidia-gl-418 amd64 418.56-0ubuntu1 [32.1 MB]
    Get:8 http://us.archive.ubuntu.com/ubuntu disco/restricted i386 libnvidia-gl-418 i386 418.56-0ubuntu1 [17.0 MB]
    Get:9 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 libnvidia-ifr1-418 amd64 418.56-0ubuntu1 [67.5 kB]
    Get:10 http://us.archive.ubuntu.com/ubuntu disco/restricted i386 libnvidia-ifr1-418 i386 418.56-0ubuntu1 [60.6 kB]
    Get:11 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 nvidia-compute-utils-418 amd64 418.56-0ubuntu1 [72.0 kB]
    Get:12 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 nvidia-kernel-source-418 amd64 418.56-0ubuntu1 [10.9 MB]
    Get:13 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 nvidia-kernel-common-418 amd64 418.56-0ubuntu1 [8,944 B]
    Get:14 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 nvidia-dkms-418 amd64 418.56-0ubuntu1 [24.9 kB]
    Get:15 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 nvidia-utils-418 amd64 418.56-0ubuntu1 [330 kB]
    Get:16 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 xserver-xorg-video-nvidia-418 amd64 418.56-0ubuntu1 [1,557 kB]
    Get:17 http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 nvidia-driver-418 amd64 418.56-0ubuntu1 [399 kB]
    Get:18 http://us.archive.ubuntu.com/ubuntu disco/main amd64 nvidia-prime all 0.8.10 [8,408 B]
    Get:19 http://us.archive.ubuntu.com/ubuntu disco/main amd64 nvidia-settings amd64 418.56-0ubuntu1 [955 kB]
    Fetched 84.5 MB in 22s (3,931 kB/s)                                          
    Selecting previously unselected package libnvidia-cfg1-418:amd64.
    (Reading database ... 320865 files and directories currently installed.)
    Preparing to unpack .../00-libnvidia-cfg1-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking libnvidia-cfg1-418:amd64 (418.56-0ubuntu1) ...
    Selecting previously unselected package libnvidia-common-418.
    Preparing to unpack .../01-libnvidia-common-418_418.56-0ubuntu1_all.deb ...
    Unpacking libnvidia-common-418 (418.56-0ubuntu1) ...
    Selecting previously unselected package libnvidia-compute-418:amd64.
    Preparing to unpack .../02-libnvidia-compute-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking libnvidia-compute-418:amd64 (418.56-0ubuntu1) ...
    Selecting previously unselected package libnvidia-decode-418:amd64.
    Preparing to unpack .../03-libnvidia-decode-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking libnvidia-decode-418:amd64 (418.56-0ubuntu1) ...
    Selecting previously unselected package libnvidia-encode-418:amd64.
    Preparing to unpack .../04-libnvidia-encode-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking libnvidia-encode-418:amd64 (418.56-0ubuntu1) ...
    Selecting previously unselected package libnvidia-fbc1-418:amd64.
    Preparing to unpack .../05-libnvidia-fbc1-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking libnvidia-fbc1-418:amd64 (418.56-0ubuntu1) ...
    Selecting previously unselected package libnvidia-gl-418:amd64.
    Preparing to unpack .../06-libnvidia-gl-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking libnvidia-gl-418:amd64 (418.56-0ubuntu1) ...
    Selecting previously unselected package libnvidia-gl-418:i386.
    Preparing to unpack .../07-libnvidia-gl-418_418.56-0ubuntu1_i386.deb ...
    Unpacking libnvidia-gl-418:i386 (418.56-0ubuntu1) ...
    Selecting previously unselected package libnvidia-ifr1-418:i386.
    Preparing to unpack .../08-libnvidia-ifr1-418_418.56-0ubuntu1_i386.deb ...
    Unpacking libnvidia-ifr1-418:i386 (418.56-0ubuntu1) ...
    Selecting previously unselected package libnvidia-ifr1-418:amd64.
    Preparing to unpack .../09-libnvidia-ifr1-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking libnvidia-ifr1-418:amd64 (418.56-0ubuntu1) ...
    Selecting previously unselected package nvidia-compute-utils-418.
    Preparing to unpack .../10-nvidia-compute-utils-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking nvidia-compute-utils-418 (418.56-0ubuntu1) ...
    Selecting previously unselected package nvidia-kernel-source-418.
    Preparing to unpack .../11-nvidia-kernel-source-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking nvidia-kernel-source-418 (418.56-0ubuntu1) ...
    Selecting previously unselected package nvidia-kernel-common-418.
    Preparing to unpack .../12-nvidia-kernel-common-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking nvidia-kernel-common-418 (418.56-0ubuntu1) ...
    Selecting previously unselected package nvidia-dkms-418.
    Preparing to unpack .../13-nvidia-dkms-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking nvidia-dkms-418 (418.56-0ubuntu1) ...
    Selecting previously unselected package nvidia-utils-418.
    Preparing to unpack .../14-nvidia-utils-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking nvidia-utils-418 (418.56-0ubuntu1) ...
    Selecting previously unselected package xserver-xorg-video-nvidia-418.
    Preparing to unpack .../15-xserver-xorg-video-nvidia-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking xserver-xorg-video-nvidia-418 (418.56-0ubuntu1) ...
    Selecting previously unselected package nvidia-driver-418.
    Preparing to unpack .../16-nvidia-driver-418_418.56-0ubuntu1_amd64.deb ...
    Unpacking nvidia-driver-418 (418.56-0ubuntu1) ...
    Selecting previously unselected package nvidia-prime.
    Preparing to unpack .../17-nvidia-prime_0.8.10_all.deb ...
    Unpacking nvidia-prime (0.8.10) ...
    Selecting previously unselected package nvidia-settings.
    Preparing to unpack .../18-nvidia-settings_418.56-0ubuntu1_amd64.deb ...
    Unpacking nvidia-settings (418.56-0ubuntu1) ...
    Setting up libnvidia-cfg1-418:amd64 (418.56-0ubuntu1) ...
    Setting up nvidia-prime (0.8.10) ...
    Setting up libnvidia-compute-418:amd64 (418.56-0ubuntu1) ...
    Setting up xserver-xorg-video-nvidia-418 (418.56-0ubuntu1) ...
    Setting up nvidia-utils-418 (418.56-0ubuntu1) ...
    Setting up libnvidia-fbc1-418:amd64 (418.56-0ubuntu1) ...
    Setting up nvidia-compute-utils-418 (418.56-0ubuntu1) ...
    Warning: The home dir /nonexistent you specified can't be accessed: No such file or directory
    Adding system user `nvidia-persistenced' (UID 126) ...
    Adding new group `nvidia-persistenced' (GID 132) ...
    Adding new user `nvidia-persistenced' (UID 126) with group `nvidia-persistenced' ...
    Not creating home directory `/nonexistent'.
    Setting up libnvidia-common-418 (418.56-0ubuntu1) ...
    Setting up libnvidia-gl-418:amd64 (418.56-0ubuntu1) ...
    Setting up libnvidia-gl-418:i386 (418.56-0ubuntu1) ...
    Setting up libnvidia-ifr1-418:amd64 (418.56-0ubuntu1) ...
    Setting up libnvidia-ifr1-418:i386 (418.56-0ubuntu1) ...
    Setting up libnvidia-decode-418:amd64 (418.56-0ubuntu1) ...
    Setting up libnvidia-encode-418:amd64 (418.56-0ubuntu1) ...
    Setting up nvidia-kernel-common-418 (418.56-0ubuntu1) ...
    update-initramfs: deferring update (trigger activated)
    update-initramfs: Generating /boot/initrd.img-4.18.0-25-generic
    Setting up nvidia-settings (418.56-0ubuntu1) ...
    Setting up nvidia-kernel-source-418 (418.56-0ubuntu1) ...
    Setting up nvidia-dkms-418 (418.56-0ubuntu1) ...
    update-initramfs: deferring update (trigger activated)
    update-initramfs: Generating /boot/initrd.img-4.18.0-25-generic
    INFO:Enable nvidia
    DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
    DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
    DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
    Loading new nvidia-418.56 DKMS files...
    Building for 4.18.0-25-generic 5.0.0-32-generic
    Building for architecture x86_64
    Building initial module for 4.18.0-25-generic
    Secure Boot not enabled on this system.
    Done.
    
    
    nvidia.ko:
    Running module version sanity check.
    modinfo: ERROR: missing module or filename.
     - Original module
       - No original module exists within this kernel
     - Installation
       - Installing to /lib/modules/4.18.0-25-generic/updates/dkms/
    
    
    nvidia-modeset.ko:
    Running module version sanity check.
    modinfo: ERROR: missing module or filename.
     - Original module
       - No original module exists within this kernel
     - Installation
       - Installing to /lib/modules/4.18.0-25-generic/updates/dkms/
    
    
    nvidia-drm.ko:
    Running module version sanity check.
    modinfo: ERROR: missing module or filename.
     - Original module
       - No original module exists within this kernel
     - Installation
       - Installing to /lib/modules/4.18.0-25-generic/updates/dkms/
    
    
    nvidia-uvm.ko:
    Running module version sanity check.
    modinfo: ERROR: missing module or filename.
     - Original module
       - No original module exists within this kernel
     - Installation
       - Installing to /lib/modules/4.18.0-25-generic/updates/dkms/
    
    
    depmod...
    
    
    DKMS: install completed.
    Building initial module for 5.0.0-32-generic
    Secure Boot not enabled on this system.
    Done.
    
    
    nvidia.ko:
    Running module version sanity check.
    modinfo: ERROR: missing module or filename.
     - Original module
       - No original module exists within this kernel
     - Installation
       - Installing to /lib/modules/5.0.0-32-generic/updates/dkms/
    
    
    nvidia-modeset.ko:
    Running module version sanity check.
    modinfo: ERROR: missing module or filename.
     - Original module
       - No original module exists within this kernel
     - Installation
       - Installing to /lib/modules/5.0.0-32-generic/updates/dkms/
    
    
    nvidia-drm.ko:
    Running module version sanity check.
    modinfo: ERROR: missing module or filename.
     - Original module
       - No original module exists within this kernel
     - Installation
       - Installing to /lib/modules/5.0.0-32-generic/updates/dkms/
    
    
    nvidia-uvm.ko:
    Running module version sanity check.
    modinfo: ERROR: missing module or filename.
     - Original module
       - No original module exists within this kernel
     - Installation
       - Installing to /lib/modules/5.0.0-32-generic/updates/dkms/
    
    
    depmod...
    
    
    DKMS: install completed.
    Setting up nvidia-driver-418 (418.56-0ubuntu1) ...
    Processing triggers for mime-support (3.60ubuntu1) ...
    Processing triggers for libc-bin (2.29-0ubuntu2) ...
    Processing triggers for man-db (2.8.5-2) ...
    Processing triggers for desktop-file-utils (0.23-4ubuntu1) ...
    Processing triggers for initramfs-tools (0.131ubuntu19.2) ...
    update-initramfs: Generating /boot/initrd.img-5.0.0-32-generic
    nvidia-smi still fails because it can't communicate with the NVIDIA driver.
    Can anyone help me understand why?

    EDIT: Never mind. I rebooted, and it does now. NVIDIA settings works too. So much customizability.
    This problem is solved now.
    Last edited by semper-solus; 4 Weeks Ago at 08:51 AM. Reason: I didn't reboot after EVERY step

  4. #4
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,425
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: Lubuntu 18.10 cannot talk to Nvidia GeForce 940MX

    semper-solus; Great !

    Pleased all worked out

    you do good work
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •